using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace TelerikMVC3Test.Models
{
    public class ViewModel
    {
        [ScaffoldColumn(false)]
        public Guid Id { get; set; }

        public String Name { get; set; }

        public static IEnumerable<ViewModel> GetData()
        {
            yield return new ViewModel { Id = Guid.NewGuid(), Name = "Al" };
            yield return new ViewModel { Id = Guid.NewGuid(), Name = "Robert" };
            yield return new ViewModel { Id = Guid.NewGuid(), Name = "Joe   " };
        }
    }
}